List people
GET
/v2/peopleRequest
Use this request to retrieve a list of people associated with a given account. The only required parameter is theaccountId. You can use optional parameters to filter or search the results, and retrieve additional details.
Query parameters
The ID of the account that you want to retrieve a list of people for.Allowable values: An existing
accountId (≤ 36 characters)The maximum number of results to return. For example,
limit=25. By default, this is set to 100.Allowable values: [ 1 .. 100000 ]The number of items to skip before returning results. For example,
offset=200. By default, this is set to 0.Allowable values: A valid integerFilters results that include this string. For example,
search=Jane+Doe.Allowable values: A valid stringOptional embeds to include in the results. For example,
include=persona.addresses.Allowable values: persona.addresses, persona.createdBy, persona.teams, persona.primaryOwnerOf, persona.rolesFilters people by their status on the account. Use commas to pass multiple values. Has to be URL encoded. For example,
status=active%2Ccreated.Allowable values: active, deactivated, created, invited, inviteExpiredFilters people by their role ID. Use commas to pass multiple values. Has to be URL encoded. For example,
roles=02a42ec7-67d3-4fce-87b5-199080327ab9.Allowable values: A valid roleId (≤ 36 characters)Filters people by their role name. Use commas to pass multiple values. Has to be URL encoded. For example,
roleNames=Admin.Allowable values: Owner, Admin, Payer, Viewer, Accountant, UserFilters people by their person ID. Use commas to pass multiple values. Has to be URL encoded. For example,
people=11e6ff45-c6b1-40c7-8551-46dd74536551.Allowable values: A valid personId (≤ 36 characters)Filters people according to whether or not they have an individual budget. Set this to
true to only return people who don’t already have an individual budget associated with them.Allowable values: true, falseThe budget ID to filter results by.Allowable values: An existing
budgetId (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response containing a list of people.